Bug 1290417 - CVE-2015-8370 grub2: buffer overflow when checking password entered during bootup [fedora-all]
Summary: CVE-2015-8370 grub2: buffer overflow when checking password entered during bo...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=revskills
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-8370
TreeView+ depends on / blocked
 
Reported: 2015-12-10 13:14 UTC by Martin Prpič
Modified: 2015-12-17 08:52 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-13 04:21:37 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-12-10 13:14:02 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-12-10 13:14:10 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1286966,1290417

# Description of your update
notes=Security fix for CVE-2015-8370

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1286966,1290417

Comment 2 Fedora Update System 2015-12-10 20:36:18 UTC
grub2-2.02-0.18.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-90c27b6e91

Comment 3 Fedora Update System 2015-12-10 20:36:18 UTC
grub2-2.02-0.25.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cebe5133e7

Comment 4 Fedora Update System 2015-12-11 05:59:26 UTC
grub2-2.02-0.25.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update grub2'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cebe5133e7

Comment 5 Fedora Update System 2015-12-11 19:56:21 UTC
grub2-2.02-0.18.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update grub2'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-90c27b6e91

Comment 6 Fedora Update System 2015-12-13 04:21:33 UTC
grub2-2.02-0.25.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-12-17 08:52:00 UTC
grub2-2.02-0.18.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.